Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageReader2Factory Class Reference

`#include <vtkImageReader2Factory.h>`

Inheritance diagram for vtkImageReader2Factory:

[legend]
Collaboration diagram for vtkImageReader2Factory:

[legend]
List of all members.

## Detailed Description

Superclass of binary file readers.

Date:
  2002/01/22 15:38:15

Revision:
  1.4

vtkImageReader2Factory: This class is used to create a vtkImageReader2 object given a path name to a file. It calls CanReadFile on all availiable readers until one of them returns ture. The availiable reader list comes from three places. In the InitializeReaders function of this class, built-in VTK classes are added to the list, users can call RegisterReader, or users can create a vtkObjectFactory that has CreateObject method that returns a new vtkImageReader2 sub class when given the string "vtkImageReaderObject". This way applications can be extened with new readers via a plugin dll or by calling RegisterReader. Of course all of the readers that are part of the vtk release are made automatically availiable.

See also:
  vtkImageReader2

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (88%)
  - Schroeder, Will (6%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkImageReader2Factory.cxx)`
  - .`h` (`/IO/vtkImageReader2Factory.h)`

Examples:
  vtkImageReader2Factory (Examples)

Tests:
  vtkImageReader2Factory (Tests)

Definition at line 63 of file vtkImageReader2Factory.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkImageReader2Factory * | New ()
int | IsTypeOf (const char *type)
vtkImageReader2Factory * | SafeDownCast (vtkObject *o)
void | RegisterReader (vtkImageReader2 *r)
vtkImageReader2 * | CreateImageReader2 (const char *path)
void | GetRegisteredReaders (vtkImageReader2Collection *)
## Protected Methods
| vtkImageReader2Factory ()
| ~vtkImageReader2Factory ()
## Static Protected Methods
void | InitializeReaders ()
## Friends
class | vtkCleanUpImageReader2Factory

## Member Typedef Documentation

typedef vtkObject vtkImageReader2Factory::Superclass

| Reimplemented from vtkObject. Definition at line 67 of file vtkImageReader2Factory.h.

## Constructor & Destructor Documentation

vtkImageReader2Factory::vtkImageReader2Factory | ( |  | ) | `[protected]`

vtkImageReader2Factory::~vtkImageReader2Factory | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageReader2Factory* vtkImageReader2Factory::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageReader2Factory::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkImageReader2Factory::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkImageReader2Factory::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkImageReader2Factory* vtkImageReader2Factory::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkImageReader2Factory::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

void vtkImageReader2Factory::RegisterReader | ( | vtkImageReader2 * | r | ) | `[static]`

| registered readers will be queried in CreateImageReader2 to see if they can load a given file.

vtkImageReader2* vtkImageReader2Factory::CreateImageReader2 | ( | const char * | path | ) | `[static]`

| open the image file, it is the callers responsibility to call Delete on the returned object. If no reader is found, null is returned.

void vtkImageReader2Factory::GetRegisteredReaders | ( | vtkImageReader2Collection * |  | ) | `[static]`

| The caller must allocate the vtkImageReader2Collection and pass in the pointer to this method.

void vtkImageReader2Factory::InitializeReaders | ( |  | ) | `[static, protected]`

## Friends And Related Function Documentation

friend class vtkCleanUpImageReader2Factory`[friend]`

| Definition at line 92 of file vtkImageReader2Factory.h.

The documentation for this class was generated from the following file:

- IO/vtkImageReader2Factory.h